(define-module (kululaskusilppuri-package)
  #:use-module (guix)
  #:use-module (guix git-download)
  #:use-module (guix build-system haskell)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (gnu packages haskell)
  #:use-module (gnu packages haskell-xyz))

(define vcs-file?
  (or (git-predicate (string-append (current-source-directory) "/../.."))
      (const #t)))

(define-public kululaskusilppuri
  (package
    (name "kululaskusilppuri")
    (version "0.0.1")
    (source (local-file "../.." "kululaskusilppuri-checkout"
                        #:recursive? #t
                        #:select? vcs-file?))
    (build-system haskell-build-system)
    (inputs (list ghc-cassava
                  ghc-optparse-applicative))
    (home-page "https://git.olarinmaensamoojat.fi/OMS/kululaskusilppuri")
    (synopsis "Convert CSV files exported from kululaskut.fi to something
suitable for importing to Kitsas")
    (description "Kululaskusilppuri removes unnecessary fields from
kululaskut.fi exports, splits the CSV to multiple files by
payment date and cleans the remaining data so that Kitsas can
import it easily.")
    (license license:agpl3+)))
